# bootstrap is applied to disable the wheel subpackage
%bcond_with bootstrap
%if %{with bootstrap}
%bcond_with tests
%else
%bcond_without tests
%endif

%global srcname wheel
%global python_wheel_name %{srcname}-%{version}-py2.py3-none-any.whl
%global _description %{expand:
Wheel is the reference implementation of the Python wheel packaging standard, as defined in PEP 427.

It has two different roles:

 1. A setuptools extension for building wheels that provides the bdist_wheel setuptools command.
 2. A command line tool for working with wheel files.}

Summary:       Built-package format for Python
Name:          python-%{srcname}
Version:       0.37.0
Release:       3%{?dist}
License:       MIT and (ASL 2.0 or BSD)
URL:           https://github.com/pypa/wheel
Source0:       %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools python3-rpm-generators

%if %{with tests}
BuildRequires: python%{python3_pkgversion}-pytest gcc
%endif

BuildArch:     noarch

%description %{_description}

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        Built-package format for Python
Provides:       bundled(python3dist(packaging)) = 20.9

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

%if %{without bootstrap}
%package -n     %{python_wheel_pkg_prefix}-%{srcname}-wheel
Summary:        The Python wheel module packaged as a wheel
Provides:       bundled(python3dist(packaging)) = 20.9

%description -n %{python_wheel_pkg_prefix}-%{srcname}-wheel
A Python wheel of wheel to use with virtualenv.
%endif

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/%{srcname}{,-%{python3_version}}
ln -s %{srcname}-%{python3_version} %{buildroot}%{_bindir}/%{srcname}-3
ln -s %{srcname}-3 %{buildroot}%{_bindir}/%{srcname}

%if %{without bootstrap}
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%py3_build_wheel
mkdir -p %{buildroot}%{python_wheel_dir}
install -p dist/%{python_wheel_name} -t %{buildroot}%{python_wheel_dir}
%endif

%if %{with tests}
%check
rm -f setup.cfg
%pytest -v --ignore build
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc README.rst
%{_bindir}/%{srcname}-%{python3_version}
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-3
%{python3_sitelib}/%{srcname}*/

%if %{without bootstrap}
%files -n %{python_wheel_pkg_prefix}-%{srcname}-wheel
%license LICENSE.txt
%dir %{python_wheel_dir}/
%{python_wheel_dir}/%{python_wheel_name}
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.37.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.37.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 0.37.0-1
- initial build

